Bug 9838 - SIP tests : fix in 04patron_status.t
Summary: SIP tests : fix in 04patron_status.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-18 16:29 UTC by Adrien SAURAT
Modified: 2014-05-26 21:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch #1 (1.50 KB, patch)
2013-03-18 16:44 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 9838: fix on 04patron_status.t (1.55 KB, patch)
2013-03-19 13:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9838: fix on 04patron_status.t (1.61 KB, patch)
2013-04-02 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2013-03-18 16:29:38 UTC
[MT10401]
When running the SIP tests, 04patron_status.t returns errors because some patron informations are hard coded instead of using the variables defined in SIPtest.pm

TEST PLAN :
1) In "C4/SIP/t", configure the SIPtest.pm file.
2) Configure your SIPconfig.xml if needed.
3) Start your SIP server.
4) In "C4/SIP/t", do a "make test" (see the README file for more informations)

(some others tests give errors too, I'll create separate patches for that)
Comment 1 Adrien SAURAT 2013-03-18 16:44:47 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-03-19 13:47:07 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-04-02 09:53:49 UTC
QA comment:
I can't launch tests for SIP but this patch looks good.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-04-02 09:54:03 UTC
Created attachment 17119 [details] [review]
Bug 9838: fix on 04patron_status.t

Some patron infos were hard coded instead
of using the variables defined in SIPtest.pm

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-04-02 12:38:55 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-04-14 06:15:46 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.12 and 3.10.5